# Package org.eclipse.net4j.connector

The Net4j transport layer concepts for dealing with connectors.

- Interface Summary
  Interface | Description
  --- | ---
  IConnector | One endpoint of a physical connection of arbitrary nature between two communicating parties.
  IConnectorEvent | A generic `event` fired from a `connector`.
  IConnectorStateEvent | An event that is fired by an `IConnector` to indicate that its state has changed.
  IServerConnector |

- Class Summary
  Class | Description
  --- | ---
  ConnectorCredentialsInjector | Injects a configurable response negotiator into selected client connectors.

- Enum Summary
  Enum | Description
  --- | ---
  ConnectorState | Enumerates the lifecycle states of an `IConnector`.

- Exception Summary
  Exception | Description
  --- | ---
  ConnectorException | Thrown by an `IConnector` to indicate connection problems.